Movabase Docs
Public API

List project files

Returns file_translation records for the project. Optionally filter by file name and/or language. Requires `canViewTranslations` permission.

GET
/api/projects/{project-id}/files
sb-access-token<token>

Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.

In: cookie

Path Parameters

project-id*string

Project ID

Formatuuid

Query Parameters

fileName?string

Filter by file name

language?string

Filter by language code

Response Body

application/json

curl -X GET "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/files"
{
  "files": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "file_name": "string",
      "language": "string",
      "language_name": "string",
      "language_emoji": "string"
    }
  ]
}